

#ifndef GUICONF_H
#define GUICONF_H

/*********************************************************************
*
*       Multi layer/display support
*/
#define GUI_NUM_LAYERS            1    // Maximum number of available layers

/*********************************************************************
*
*       Multi tasking support
*/
#define GUI_OS                    (1)  // Compile with multitasking support
#define GUI_MAXTASK               (5)  // Max. number of tasks that may call emWin
#define GUI_X_IDLE_TIME           (1)  // Used for GUI_X_ExecIdle()
#define GUI_X_BACKGROUND_TASK     (1)  // Use background task for emWin

/*********************************************************************
*
*       Configuration of touch support
*/
#define GUI_SUPPORT_TOUCH         (0)  // Support a touch screen (req. win-manager)

/*********************************************************************
*
*       Default font
*/
#define GUI_DEFAULT_FONT          &GUI_Font6x8

/*********************************************************************
*
*         Configuration of available packages
*/
#define GUI_SUPPORT_MOUSE         0    // Mouse support
#define GUI_WINSUPPORT            1    // Use Window Manager
#define GUI_SUPPORT_MEMDEV        1    // Use Memory Devices
#define GUI_SUPPORT_ROTATION      0    // Text rotation
#define GUI_KEY_BUFFER_SIZE       10   // Maximum number of key events managed by the input buffer
#define GUI_DEBUG_LEVEL           0    // GUI debug level, 0 as default

/*********************************************************************
*
*         Configuration of logical color formats
*/
#define GUI_USE_ARGB              1    // 0: ABGR, 1: ARGB

/*********************************************************************
*
*         Configuration of simulation
*/
#define GUI_SIM                   0    // Simulation or not

#endif  // Avoid multiple inclusion

/*************************** End of file ****************************/
